Returns time reports of a user.

GEThttps://api.awork.com/api/v1/timereports
GET https://api.awork.com/api/v1/timereports

Returns time reports of a user. The response includes details for the selected time range.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

sharedbooleanOptional

Whether the time report is shared.

dateModestring or nullOptional

The date mode of the time report. Can be: "today", "yesterday", "selectDate", "selectWeek", "currentWeek", "lastWeek", "selectMonth", "currentMonth", "lastMonth", "selectQuarter", "currentQuarter", "lastQuarter", "selectYear", "currentYear", "lastYear", "customRange", "noFilter".

startOnstring or nullOptional
format: date-time

The start date time of the report when DateMode is "customRange".

endOnstring or nullOptional
format: date-time

The end date time of the time report. when DateMode is "customRange". Currently the start of the end day.

filterstring or nullOptional

The generated filter query of the time report.

chartTypestring or nullOptional

The actual chart type of the time report. Can be: "group" or "time".

projectIdstring or nullOptional
format: uuid

The id of the project of the time report. Used for the pdf reports.

companyIdstring or nullOptional
format: uuid

The id of the company of the time report. Used for the pdf reports.

sumBystring or nullOptional

Summarises the values by the sum of this property.

sortBystring or nullOptional

Sorts the values by this property.

sortByOrderstring or nullOptional

The way how to sort the data. Can be: "asc", desc".

roundBystring or nullOptional

Rounding method of the time report. Can be: "nearQuarter", "nearHalf", "nearHour", "upQuarter", "upHalf", "upHour".

groupBystring or nullOptional

Group the values by property.

sortColumnstring or nullOptional

Sort the values of the time report by a column.

sortGroupsEnabledboolean or nullOptional

Whether sorting of groups is enabled.

availableColumnsarray of string or nullOptional

List of shown Columns in the time report. Can be: "status", "duration", "task", "timeTrackingNote", "typeOfWork", "project", "date", "time", "user", "client", "projectType", "projectRole", "plannedDuration", "taskList", "key".

billingStatusesarray of string or nullOptional

Filter of bill satuses of the time report. Can be: "billed", "notBilled", "notBillable".

notestring or nullOptional

Filter time entries by note.

usersFilterarray of string or nullOptional

Filter time entries by users.

projectsFilterarray of string or nullOptional

Filter time entries by projects.

noProjectFilterboolean or nullOptional

Filter to show also time entries without a project.

projectCompaniesFilterarray of string or nullOptional

Filter time entries by projects of the companies.

projectTypesFilterarray of string or nullOptional

Filter time entries by projects of the type.

projectStatusesNameFilterarray of string or nullOptional

Filter time entries by projects with status name.

projectStatusTypesFilterarray of string or nullOptional

Filter time entries by projects with status of type.

projectTeamsFilterarray of string or nullOptional

List of teams, to the filter the projects for.

userTeamsFilterarray of string or nullOptional

Filter for the teams to filter the users.

taskTagsModelFilterarray of object or nullOptional

Filter time entries by the tags of the task.

Show 4 properties
idstringOptional
format: uuid

The Id of the tag.

namestring or nullOptional

The name of the tag.

colorstring or nullOptional

The color of the tag.

entityIdstringOptional
format: uuid

The id of the entity the tag is related to.

projectTagsModelFilterarray of object or nullOptional

Filter time entries by the tags of the project.

Show 4 properties
idstringOptional
format: uuid

The Id of the tag.

namestring or nullOptional

The name of the tag.

colorstring or nullOptional

The color of the tag.

entityIdstringOptional
format: uuid

The id of the entity the tag is related to.

userTagsModelFilterarray of object or nullOptional

Filter time entries by the tags of the users.

Show 4 properties
idstringOptional
format: uuid

The Id of the tag.

namestring or nullOptional

The name of the tag.

colorstring or nullOptional

The color of the tag.

entityIdstringOptional
format: uuid

The id of the entity the tag is related to.

typesOfWorkFilterarray of string or nullOptional

Group the time report by the type of works.

namestring or nullOptional

The name of the time report.

idstringOptional
format: uuid

The id of the time report.

userobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

updatedOnstringOptional
format: date-time

The date this time report was updated.

resourceVersionintegerOptional
format: int64

The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.

Search documentation